Issue1829

classification
Title: test_socket.py failing on Ubuntu (Oneiric)
Type: behaviour Severity: normal
Components: Library Versions: 2.5.2
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, fwierzbicki
Priority: high Keywords: test failure causes

Created on 2012-01-03.00:08:29 by fwierzbicki, last changed 2012-03-17.22:32:38 by amak.

Messages
msg6749 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-01-03.00:08:28
======================================================================
ERROR: testAddrTupleTypes (__main__.TestGetAddrInfo)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "dist/Lib/test/test_socket.py", line 1699, in testAddrTupleTypes
    ipv6_address_tuple = addrinfo[0][4]
IndexError: index out of range: 0

======================================================================
ERROR: testIPV6AddressesFromGetAddrInfo (__main__.TestJython_get_jsockaddr)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "dist/Lib/test/test_socket.py", line 1897, in testIPV6AddressesFromGetAddrInfo
    local_addr = addrinfo[0][4]
IndexError: index out of range: 0

======================================================================
FAIL: testSO_RCVBUF (__main__.TestSupportedOptions)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "dist/Lib/test/test_socket.py", line 812, in testSO_RCVBUF
    self._testOption(socket.SOL_SOCKET, socket.SO_RCVBUF, [1024, 4096, 16384])
  File "dist/Lib/test/test_socket.py", line 777, in _testOption
    func(level, option, values)
  File "dist/Lib/test/test_socket.py", line 719, in _testUDPOption
    self._testSetAndGetOption(sock, level, option, values)
  File "dist/Lib/test/test_socket.py", line 709, in _testSetAndGetOption
    self.failUnlessEqual(retrieved_value, expected_value, msg)
AssertionError: Retrieved option(65535, 16) value 1144 != 1024(value set)

----------------------------------------------------------------------
Ran 152 tests in 33.104s

FAILED (failures=1, errors=2)
Traceback (most recent call last):
  File "dist/Lib/test/test_socket.py", line 2213, in <module>
    test_main()
  File "dist/Lib/test/test_socket.py", line 2210, in test_main
    test_support._run_suite(unittest.TestSuite(suites))
  File "/home/frank/hg/jython/jython-2.5/dist/Lib/test/test_support.py", line 477, in _run_suite
    raise TestFailed(msg)
msg6750 (view) Author: Frank Wierzbicki (fwierzbicki) Date: 2012-01-03.00:09:58
Java version:

java version "1.6.0_23"
OpenJDK Runtime Environment (IcedTea6 1.11pre) (6b23~pre11-0ubuntu1.11.10)
OpenJDK 64-Bit Server VM (build 20.0-b11, mixed mode)
msg6810 (view) Author: Alan Kennedy (amak) Date: 2012-03-17.22:32:38
Fix checked in at

2.5:  http://hg.python.org/jython/rev/b2ec53a0310f
head: http://hg.python.org/jython/rev/782a32922f56
History
Date User Action Args
2012-03-17 22:32:38amaksetstatus: open -> closed
resolution: fixed
messages: + msg6810
2012-01-07 14:20:41amaksetassignee: amak
nosy: + amak
2012-01-03 00:09:59fwierzbickisetmessages: + msg6750
2012-01-03 00:08:29fwierzbickicreate